<?xml version="1.0" encoding="UTF-8"?>
<!-- Remove attributes from SEM which are not needed -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:sev='urn:mpeg:mpeg-v:2010:01-SEV-NS'
 xmlns:sedl='urn:mpeg:mpeg-v:2010:01-SEDL-NS'
 xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'>
	<xsl:output method="xml" version="1.0" encoding="UTF-8"/>
	
	<xsl:template name="tpl_generic" match="@*|node()">
		<xsl:apply-templates select="@*|node()"/>
	</xsl:template>
	
	<xsl:template match="sedl:SEM">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="sedl:Declarations">
		<xsl:copy-of select="."/>
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="sedl:GroupOfEffects">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="sedl:DescriptionMetadata">
		<xsl:copy-of select="."/>
		<xsl:apply-templates/>
	</xsl:template>	
	
	<xsl:template match="sedl:Effect">
		<xsl:copy>
			<!-- Copy default attributes -->
			<xsl:copy-of select="@xsi:type"/>
			<!-- Copy all attributes of SEDL (activate, duration etc.)-->
			<xsl:copy-of select="@*[namespace-uri() = '']"/>
			<xsl:choose>
				<!-- Copy special attributes for WindType -->
				<xsl:when test="contains(@xsi:type, 'WindType')">
					<xsl:copy-of select="@*"/>
				</xsl:when>
				<!-- Copy special attributes for VibrationType -->
				<xsl:when test="contains(@xsi:type, 'VibrationType')">
					<xsl:copy-of select="@*"/>
				</xsl:when>
				<!-- Copy special attributes for LightType -->
				<xsl:when test="contains(@xsi:type, 'LightType')">
					<xsl:copy-of select="@*"/>					
				</xsl:when>
				<!-- Copy special attributes for TemperatureType -->
				<xsl:when test="contains(@xsi:type, 'TemperatureType')">
					<xsl:copy-of select="@*"/>
				</xsl:when>
				<!-- SprayingType has no special attributes -->
				<!-- ScentType has no special attributes -->
				<!-- FogType has no special attributes -->
				<xsl:otherwise><xsl:copy-of select="@*"/></xsl:otherwise>
			</xsl:choose>
			<xsl:copy-of select="@*[namespace-uri()='urn:mpeg:mpeg21:2003:01-DIA-XSI-NS']"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>	
</xsl:stylesheet>
