/*
 * This file is part of SEVino.
 *
 * SEVino is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SEVino is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SEVino.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2008, 2009, 2010, 2011 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */
package lib;

import javax.swing.JPanel;

/**
 * Class which represents an effect track
 * 
 * @author Markus Waltl
 * @version 1.0
 */
public class EffectTrack {
	private JPanel effectNamePanel = null;
	private EffectPanel effectBarPanel = null;
	
	/**
	 * Constructor
	 * @param name JPanel for name display
	 * @param effectBar EffectPanel for effect bars
	 */
	public EffectTrack(JPanel name, EffectPanel effectBar) {
		effectNamePanel = name;
		effectBarPanel = effectBar;
	}
	
	/**
	 * Method for retrieving the name panel
	 * @return JPanel with name panel
	 */
	public JPanel getEffectNamePanel() {
		return effectNamePanel;
	}
	
	/**
	 * Method for retrieving the effect panel
	 * @return EffectPanel with effect panel
	 */
	public EffectPanel getEffectBarPanel() {
		return effectBarPanel;
	}
}
