/*
 * This file is part of SEVino.
 *
 * SEVino is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SEVino is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SEVino.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2008, 2009, 2010, 2011 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */
package lib;

import java.io.InputStream;
import java.io.IOException;

/**
 * ...
 * Date: 11.07.2008
 * Time: 11:53:12
 *
 * @author Mathias Lux, mathias@juggle.at
 */
public class ErrorReaderThread implements Runnable{
    InputStream errorStream;

    /**
     * Constructor
     * @param errorStream InputStream with error stream
     */
    public ErrorReaderThread(InputStream errorStream) {
        this.errorStream = errorStream;
    }

    /**
     * Thread run method
     */
    public void run() {
        @SuppressWarnings("unused")
		int tmp=-1;
        try {
            while ((tmp=errorStream.read())>-1) {
                //System.out.write(tmp);
            }
        } catch (IOException e) {
            e.printStackTrace(); 
        }
    }
}
