/*
 * This file is part of SEVino.
 *
 * SEVino is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SEVino is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SEVino.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2008, 2009, 2010, 2011 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */
package lib;

import java.text.ParseException;

import javax.swing.JFormattedTextField;
import javax.swing.text.MaskFormatter;
/**
 * Class providing a time field
 * 
 * NOTE: It does nothing more than providing a JFormattedTextField with an
 * already specified MaskFormatter (need for separating start/end time
 * automatically added to the fields)
 * 
 * @author Markus Waltl
 */
public class TimeField extends JFormattedTextField {
	private static final long serialVersionUID = 7299811012505024798L;

	public TimeField() throws ParseException {
		super(new MaskFormatter("##:##:##.#"));	
		setText("00:00:00.0");
	}
}
